Skip to main content
PATCH
Update a custom field

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Custom field ID

Body

application/json

Custom field updates

entityType
enum<string>

EntityType, if provided, must match the field's current entityType; it cannot be changed.

Available options:
client,
company
Example:

"client"

name
string

Name renames the custom field; omit to leave the name unchanged.

Example:

"Account tier"

options
object[]

Options replaces the option set of a multiSelect custom field; omit to leave options unchanged. Any existing option not referenced by id is removed. Only valid for multiSelect custom fields.

type
enum<string>

Type, if provided, must match the field's current type; the field's type cannot be changed.

Available options:
text,
number,
email,
url,
phoneNumber,
address,
multiSelect
Example:

"multiSelect"

Response

OK

entityType
enum<string>

EntityType is the entity the custom field belongs to.

Available options:
client,
company
Example:

"client"

id
string<uuid>

ID is the unique identifier of the custom field.

Example:

"d8e8fca2-dc0f-4f3b-9a2e-1f6f3c2b7a10"

key
string

Key is a "human-readable" alternative to ID, uniqueness must be enforced on this identifier

Example:

"accountTier"

name
string

Name is the display name of the custom field.

Example:

"Account tier"

object
string

Object is the resource type discriminator.

Example:

"customField"

options
object[]

Options are the selectable values; only present for multiSelect fields.

order
integer

Order is the position of the custom field relative to others of the same entity type.

Example:

0

type
enum<string>

Type is the data type of the custom field.

Available options:
text,
number,
email,
url,
phoneNumber,
address,
multiSelect
Example:

"multiSelect"